# Material Components for Vue

[![Build Status](https://travis-ci.com/pgbross/vue-material-adapter.svg?branch=master)](https://travis-ci.com/pgbross/vue-material-adapter)

This is the Vue 2 (legacy) version of `vue-material-adapter`, for the Vue 3 version see the `main` branch.

Vue components (Vue 2.0) for [Material Web Components](https://material.io/components/web/) which uses the
[`Using Foundations and Adapters`](https://github.com/material-components/material-components-web/blob/master/docs/integrating-into-frameworks.md#the-advanced-approach-using-foundations-and-adapters) integration technique.

This project defines Vue components that use the `Material Components Web` library to implement Material Design.mization while sticking to the _Vue Spirit_ (approachable, versatile, and performant)

## Install

```
$ npm install vue-material-adapter-legacy
```

## Documentation & Demo

See [Documentation & Demo](https://pgbross.github.io/vue-material-adapter/tree/legacy) for working examples of how to structure the markup for Vue.

## Examples

There are examples of using `vue-material-adapter` both as a `basic-vue-cli` and a `basic-webpack` project [examples](https://github.com/pgbross/vue-material-adapter/tree/legacy/examples).

## Release Notes

See [Release Notes](https://github.com/pgbross/vue-material-adapter/tree/legacy/release-notes.md)

### Building and running demo

Install dependencies

```
npm install vue-material-adapter-legacy
```

to build everything

```
npm run build
npm run build:demo
```

to run demo

```
npm run dev
```

### Acknowledgements

This project is based on a fork of the successful [vue-mdc-adapter](https://stasson.github.io/vue-mdc-adapter) project.
